## org.exist.xquery.functions.session
Class SessionModule

    java.lang.Object
      org.exist.xquery.AbstractInternalModule
          org.exist.xquery.functions.session.SessionModule

All Implemented Interfaces:
  InternalModule, Module

public class SessionModule
extends AbstractInternalModule

Author:
  Adam Retter (adam.retter@devon.gov.uk)

Field Summary
`static FunctionDef[]` `functions`
`static java.lang.String` `NAMESPACE_URI`
`static java.lang.String` `PREFIX`
`static QName` `SESSION_VAR`

Fields inherited from interface org.exist.xquery.Module
`REQUEST_FUNCTION_NS, RESPONSE_FUNCTION_NS, SESSION_FUNCTION_NS, SYSTEM_FUNCTION_NS, TEXT_FUNCTION_NS, TRANSFORM_FUNCTION_NS, UTIL_FUNCTION_NS, XMLDB_FUNCTION_NS`

Constructor Summary
`SessionModule()`

Method Summary
`java.lang.String` `getDefaultPrefix()` Returns an optional default prefix (used if no prefix is supplied with the "import module" directive).
`java.lang.String` `getDescription()` Return a short description of this module to be displayed to a user.
`java.lang.String` `getNamespaceURI()` Returns the namespace URI that uniquely identifies this module.

Methods inherited from class org.exist.xquery.AbstractInternalModule
`declareVariable, declareVariable, getFunctionDef, getFunctionsByName, getSignaturesForFunction, isInternalModule, isVarDeclared, listFunctions, reset, resolveVariable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final java.lang.String NAMESPACE_URI

See Also:
  Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### SESSION_VAR

    public static final QName SESSION_VAR

### functions

    public static final FunctionDef[] functions

Constructor Detail

### SessionModule

    public SessionModule()
                  throws XPathException

Method Detail

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `Module`
  Return a short description of this module to be displayed to a user.

  Returns:
    short description of this module

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Description copied from interface: `Module`
  Returns the namespace URI that uniquely identifies this module.

  Specified by:
    `getNamespaceURI` in interface `Module`
  Specified by:
    `getNamespaceURI` in class `AbstractInternalModule`

### getDefaultPrefix

    public java.lang.String getDefaultPrefix()

  Description copied from interface: `Module`
  Returns an optional default prefix (used if no prefix is supplied with the "import module" directive).

  Specified by:
    `getDefaultPrefix` in interface `Module`
  Specified by:
    `getDefaultPrefix` in class `AbstractInternalModule`

Copyright (C) Wolfgang Meier. All rights reserved.